"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initWorkspace = initWorkspace;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const workspace_utilities_1 = require("@rxap/workspace-utilities");
function initWorkspace(tree, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        console.log('init typedoc workspace');
        yield (0, workspace_utilities_1.AddPackageJsonDevDependency)(tree, 'typedoc', 'latest', { soft: true });
        (0, workspace_utilities_1.CoerceIgnorePattern)(tree, '.eslintignore', [
            'docs',
        ]);
        (0, workspace_utilities_1.CoerceIgnorePattern)(tree, '.gitignore', [
            'docs',
        ]);
        const nxJson = (0, devkit_1.readNxJson)(tree);
        if ((0, workspace_utilities_1.IsRxapRepository)(tree)) {
            (0, workspace_utilities_1.CoerceNxPlugin)(nxJson, './packages/plugin/typedoc/src/plugin.ts');
        }
        else {
            (0, workspace_utilities_1.CoerceNxPlugin)(nxJson, '@rxap/plugin-typedoc/plugin');
        }
        (0, devkit_1.updateNxJson)(tree, nxJson);
    });
}
//# sourceMappingURL=init-workspace.js.map