"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoerceTypedocTsConfig = CoerceTypedocTsConfig;
const utilities_1 = require("@rxap/utilities");
const workspace_utilities_1 = require("@rxap/workspace-utilities");
function CoerceTypedocTsConfig(tree, projectName, include = ['src/**/*.ts'], exclude) {
    const projectRoot = (0, workspace_utilities_1.GetProjectRoot)(tree, projectName);
    const project = (0, workspace_utilities_1.GetProject)(tree, projectName);
    if ((0, workspace_utilities_1.IsAngularProject)(project) || (0, workspace_utilities_1.IsWorkspaceProject)(project)) {
        exclude !== null && exclude !== void 0 ? exclude : (exclude = ['**/*.stories.ts', '**/*.spec.ts', '**/*.cy.ts', 'src/test-setup.ts']);
    }
    if ((0, workspace_utilities_1.IsNestJsProject)(project)) {
        exclude !== null && exclude !== void 0 ? exclude : (exclude = ['**/*.spec.ts', 'src/test-setup.ts']);
    }
    (0, workspace_utilities_1.UpdateTsConfigJson)(tree, tsConfig => {
        var _a, _b, _c, _d, _e;
        var _f;
        (_a = tsConfig.extends) !== null && _a !== void 0 ? _a : (tsConfig.extends = (0, workspace_utilities_1.IsWorkspaceProject)(project) ? './tsconfig.base.json' : './tsconfig.json');
        (_b = tsConfig.compilerOptions) !== null && _b !== void 0 ? _b : (tsConfig.compilerOptions = {});
        if ((0, workspace_utilities_1.IsAngularProject)(project) || (0, workspace_utilities_1.IsWorkspaceProject)(project)) {
            (_c = (_f = tsConfig.compilerOptions).types) !== null && _c !== void 0 ? _c : (_f.types = []);
            (0, utilities_1.CoerceArrayItems)(tsConfig.compilerOptions.types, ['@angular/localize']);
        }
        if (include === null || include === void 0 ? void 0 : include.length) {
            (_d = tsConfig.include) !== null && _d !== void 0 ? _d : (tsConfig.include = []);
            (0, utilities_1.CoerceArrayItems)(tsConfig.include, include);
        }
        if (exclude === null || exclude === void 0 ? void 0 : exclude.length) {
            (_e = tsConfig.exclude) !== null && _e !== void 0 ? _e : (tsConfig.exclude = []);
            (0, utilities_1.CoerceArrayItems)(tsConfig.exclude, exclude);
        }
    }, { infix: 'typedoc', basePath: projectRoot, create: true });
    (0, workspace_utilities_1.UpdateTsConfigJson)(tree, tsConfig => {
        var _a;
        (_a = tsConfig.references) !== null && _a !== void 0 ? _a : (tsConfig.references = []);
        (0, utilities_1.CoerceArrayItems)(tsConfig.references, [{ path: './tsconfig.typedoc.json' }], (a, b) => a.path === b.path);
    }, { basePath: projectRoot });
}
//# sourceMappingURL=coerce-typedoc-ts-config.js.map